import { VerboseArgs } from "./providers";
import { TestingUtils } from "./testing-utils";
declare type GenerateOptions = {
    providerType?: "MetaMask" | "WalletConnect" | "Coinbase" | "default";
    verbose?: VerboseArgs;
};
/**
 * Generate the testing utils associated with a mock provider
 * @param options.providerType Type of the provider to mock, default to `default`
 * @param options.verbose Verbose configuration
 * @returns The testing utils for one provider
 */
export declare function generateTestingUtils({ providerType, verbose, }?: GenerateOptions): TestingUtils;
export {};
